summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--27/apache/Dockerfile6
-rwxr-xr-x27/apache/entrypoint.sh11
-rw-r--r--27/fpm-alpine/Dockerfile6
-rwxr-xr-x27/fpm-alpine/entrypoint.sh11
-rw-r--r--27/fpm/Dockerfile6
-rwxr-xr-x27/fpm/entrypoint.sh11
-rw-r--r--28/apache/Dockerfile6
-rwxr-xr-x28/apache/entrypoint.sh11
-rw-r--r--28/fpm-alpine/Dockerfile6
-rwxr-xr-x28/fpm-alpine/entrypoint.sh11
-rw-r--r--28/fpm/Dockerfile6
-rwxr-xr-x28/fpm/entrypoint.sh11
-rw-r--r--29/apache/Dockerfile6
-rwxr-xr-x29/apache/entrypoint.sh11
-rw-r--r--29/fpm-alpine/Dockerfile6
-rwxr-xr-x29/fpm-alpine/entrypoint.sh11
-rw-r--r--29/fpm/Dockerfile6
-rwxr-xr-x29/fpm/entrypoint.sh11
-rw-r--r--README.md12
-rwxr-xr-xdocker-entrypoint.sh11
-rw-r--r--latest.txt2
-rw-r--r--versions.json18
22 files changed, 159 insertions, 37 deletions
diff --git a/27/apache/Dockerfile b/27/apache/Dockerfile
index 4163819f..10b2e00f 100644
--- a/27/apache/Dockerfile
+++ b/27/apache/Dockerfile
@@ -140,7 +140,7 @@ RUN { \
} > /etc/apache2/conf-available/apache-limits.conf; \
a2enconf apache-limits
-ENV NEXTCLOUD_VERSION 27.1.10
+ENV NEXTCLOUD_VERSION 27.1.11
RUN set -ex; \
fetchDeps=" \
@@ -150,8 +150,8 @@ RUN set -ex; \
apt-get update; \
apt-get install -y --no-install-recommends $fetchDeps; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-27.1.10.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-27.1.10.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-27.1.11.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-27.1.11.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/27/apache/entrypoint.sh b/27/apache/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/27/apache/entrypoint.sh
+++ b/27/apache/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/27/fpm-alpine/Dockerfile b/27/fpm-alpine/Dockerfile
index cf7abaf6..697f97df 100644
--- a/27/fpm-alpine/Dockerfile
+++ b/27/fpm-alpine/Dockerfile
@@ -114,7 +114,7 @@ RUN { \
VOLUME /var/www/html
-ENV NEXTCLOUD_VERSION 27.1.10
+ENV NEXTCLOUD_VERSION 27.1.11
RUN set -ex; \
apk add --no-cache --virtual .fetch-deps \
@@ -122,8 +122,8 @@ RUN set -ex; \
gnupg \
; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-27.1.10.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-27.1.10.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-27.1.11.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-27.1.11.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/27/fpm-alpine/entrypoint.sh b/27/fpm-alpine/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/27/fpm-alpine/entrypoint.sh
+++ b/27/fpm-alpine/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/27/fpm/Dockerfile b/27/fpm/Dockerfile
index cfbbf9e6..8602fcca 100644
--- a/27/fpm/Dockerfile
+++ b/27/fpm/Dockerfile
@@ -125,7 +125,7 @@ RUN { \
VOLUME /var/www/html
-ENV NEXTCLOUD_VERSION 27.1.10
+ENV NEXTCLOUD_VERSION 27.1.11
RUN set -ex; \
fetchDeps=" \
@@ -135,8 +135,8 @@ RUN set -ex; \
apt-get update; \
apt-get install -y --no-install-recommends $fetchDeps; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-27.1.10.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-27.1.10.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-27.1.11.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-27.1.11.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/27/fpm/entrypoint.sh b/27/fpm/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/27/fpm/entrypoint.sh
+++ b/27/fpm/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/28/apache/Dockerfile b/28/apache/Dockerfile
index e317d1d8..2ea543a7 100644
--- a/28/apache/Dockerfile
+++ b/28/apache/Dockerfile
@@ -140,7 +140,7 @@ RUN { \
} > /etc/apache2/conf-available/apache-limits.conf; \
a2enconf apache-limits
-ENV NEXTCLOUD_VERSION 28.0.6
+ENV NEXTCLOUD_VERSION 28.0.7
RUN set -ex; \
fetchDeps=" \
@@ -150,8 +150,8 @@ RUN set -ex; \
apt-get update; \
apt-get install -y --no-install-recommends $fetchDeps; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-28.0.6.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-28.0.6.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-28.0.7.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-28.0.7.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/28/apache/entrypoint.sh b/28/apache/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/28/apache/entrypoint.sh
+++ b/28/apache/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/28/fpm-alpine/Dockerfile b/28/fpm-alpine/Dockerfile
index ef0c48f0..d4e559c9 100644
--- a/28/fpm-alpine/Dockerfile
+++ b/28/fpm-alpine/Dockerfile
@@ -114,7 +114,7 @@ RUN { \
VOLUME /var/www/html
-ENV NEXTCLOUD_VERSION 28.0.6
+ENV NEXTCLOUD_VERSION 28.0.7
RUN set -ex; \
apk add --no-cache --virtual .fetch-deps \
@@ -122,8 +122,8 @@ RUN set -ex; \
gnupg \
; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-28.0.6.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-28.0.6.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-28.0.7.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-28.0.7.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/28/fpm-alpine/entrypoint.sh b/28/fpm-alpine/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/28/fpm-alpine/entrypoint.sh
+++ b/28/fpm-alpine/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/28/fpm/Dockerfile b/28/fpm/Dockerfile
index 62015da4..83c009ff 100644
--- a/28/fpm/Dockerfile
+++ b/28/fpm/Dockerfile
@@ -125,7 +125,7 @@ RUN { \
VOLUME /var/www/html
-ENV NEXTCLOUD_VERSION 28.0.6
+ENV NEXTCLOUD_VERSION 28.0.7
RUN set -ex; \
fetchDeps=" \
@@ -135,8 +135,8 @@ RUN set -ex; \
apt-get update; \
apt-get install -y --no-install-recommends $fetchDeps; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-28.0.6.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-28.0.6.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-28.0.7.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-28.0.7.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/28/fpm/entrypoint.sh b/28/fpm/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/28/fpm/entrypoint.sh
+++ b/28/fpm/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/29/apache/Dockerfile b/29/apache/Dockerfile
index c0aaaad1..40b7c93f 100644
--- a/29/apache/Dockerfile
+++ b/29/apache/Dockerfile
@@ -140,7 +140,7 @@ RUN { \
} > /etc/apache2/conf-available/apache-limits.conf; \
a2enconf apache-limits
-ENV NEXTCLOUD_VERSION 29.0.2
+ENV NEXTCLOUD_VERSION 29.0.3
RUN set -ex; \
fetchDeps=" \
@@ -150,8 +150,8 @@ RUN set -ex; \
apt-get update; \
apt-get install -y --no-install-recommends $fetchDeps; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-29.0.2.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-29.0.2.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-29.0.3.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-29.0.3.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/29/apache/entrypoint.sh b/29/apache/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/29/apache/entrypoint.sh
+++ b/29/apache/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/29/fpm-alpine/Dockerfile b/29/fpm-alpine/Dockerfile
index 4103226d..d2fb4136 100644
--- a/29/fpm-alpine/Dockerfile
+++ b/29/fpm-alpine/Dockerfile
@@ -114,7 +114,7 @@ RUN { \
VOLUME /var/www/html
-ENV NEXTCLOUD_VERSION 29.0.2
+ENV NEXTCLOUD_VERSION 29.0.3
RUN set -ex; \
apk add --no-cache --virtual .fetch-deps \
@@ -122,8 +122,8 @@ RUN set -ex; \
gnupg \
; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-29.0.2.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-29.0.2.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-29.0.3.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-29.0.3.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/29/fpm-alpine/entrypoint.sh b/29/fpm-alpine/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/29/fpm-alpine/entrypoint.sh
+++ b/29/fpm-alpine/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/29/fpm/Dockerfile b/29/fpm/Dockerfile
index a6c640bf..5bba909f 100644
--- a/29/fpm/Dockerfile
+++ b/29/fpm/Dockerfile
@@ -125,7 +125,7 @@ RUN { \
VOLUME /var/www/html
-ENV NEXTCLOUD_VERSION 29.0.2
+ENV NEXTCLOUD_VERSION 29.0.3
RUN set -ex; \
fetchDeps=" \
@@ -135,8 +135,8 @@ RUN set -ex; \
apt-get update; \
apt-get install -y --no-install-recommends $fetchDeps; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-29.0.2.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-29.0.2.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-29.0.3.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-29.0.3.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/29/fpm/entrypoint.sh b/29/fpm/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/29/fpm/entrypoint.sh
+++ b/29/fpm/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/README.md b/README.md
index bfa9213c..b9f7a66d 100644
--- a/README.md
+++ b/README.md
@@ -217,6 +217,18 @@ To customize Apache max file upload limit you can change the following variable:
- `APACHE_BODY_LIMIT` (default `1073741824` [1GiB]) This restricts the total
size of the HTTP request body sent from the client. It specifies the number of _bytes_ that are allowed in a request body. A value of **0** means **unlimited**. Check the [Nextcloud documentation](https://docs.nextcloud.com/server/latest/admin_manual/configuration_files/big_file_upload_configuration.html#apache) for more information.
+### Auto configuration and Nextcloud updates
+The image comes with special config files for Nextcloud that set parameters specific to containerized usage (e.g. `upgrade-disable-web.config.php`) or enable auto configuration via environment variables (e.g. `reverse-proxy.config.php`). Within the image, the latest version of these config files are located in `/usr/src/nextcloud/config`.
+
+During a fresh Nextcloud installation, the latest version (from the image) of these files are copied into `/var/www/html/config` so that they are stored within your container's persistent volume and picked up by Nextcloud alongside your local configuration.
+
+The copied files, however, are **not** automatically overwritten whenever you update your environment with a newer Nextcloud image. This is to prevent local changes in `/var/www/html/config` from being unexpectedly overwritten. This may lead to your image-specific configuration files becoming outdated and image functionality not matching that which is documented.
+
+A warning will be generated in the container log output when outdated image-specific configuration files are detected at startup in a running container. When you see this warning, you should manually compare (or copy) the files from `/usr/src/nextcloud/config` to `/var/www/html/config`.
+
+As long as you have not modified any of the provided config files in `/var/www/html/config` (other than `config.php`) or only added new ones with names that do not conflict with the image specific ones, copying the new ones into place should be safe (but check the source path `/usr/src/nextcloud/config` for any newly named config files to avoid new overlaps just in case).
+
+Not keeping these files up-to-date when this warning appears may cause certain auto configuration environment variables to be ignored or the image to not work as documented or expected.
## Auto configuration via hook folders
diff --git a/docker-entrypoint.sh b/docker-entrypoint.sh
index 541971c6..1c60984c 100755
--- a/docker-entrypoint.sh
+++ b/docker-entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi
diff --git a/latest.txt b/latest.txt
index fa23554d..c5f3eb7e 100644
--- a/latest.txt
+++ b/latest.txt
@@ -1 +1 @@
-29.0.2
+29.0.3
diff --git a/versions.json b/versions.json
index c8cb6562..47c5f9b4 100644
--- a/versions.json
+++ b/versions.json
@@ -1,9 +1,9 @@
{
"29": {
"branch": "29",
- "version": "29.0.2",
- "url": "https://download.nextcloud.com/server/releases/nextcloud-29.0.2.tar.bz2",
- "ascUrl": "https://download.nextcloud.com/server/releases/nextcloud-29.0.2.tar.bz2.asc",
+ "version": "29.0.3",
+ "url": "https://download.nextcloud.com/server/releases/nextcloud-29.0.3.tar.bz2",
+ "ascUrl": "https://download.nextcloud.com/server/releases/nextcloud-29.0.3.tar.bz2.asc",
"variants": {
"apache": {
"variant": "apache",
@@ -27,9 +27,9 @@
},
"28": {
"branch": "28",
- "version": "28.0.6",
- "url": "https://download.nextcloud.com/server/releases/nextcloud-28.0.6.tar.bz2",
- "ascUrl": "https://download.nextcloud.com/server/releases/nextcloud-28.0.6.tar.bz2.asc",
+ "version": "28.0.7",
+ "url": "https://download.nextcloud.com/server/releases/nextcloud-28.0.7.tar.bz2",
+ "ascUrl": "https://download.nextcloud.com/server/releases/nextcloud-28.0.7.tar.bz2.asc",
"variants": {
"apache": {
"variant": "apache",
@@ -53,9 +53,9 @@
},
"27": {
"branch": "27",
- "version": "27.1.10",
- "url": "https://download.nextcloud.com/server/releases/nextcloud-27.1.10.tar.bz2",
- "ascUrl": "https://download.nextcloud.com/server/releases/nextcloud-27.1.10.tar.bz2.asc",
+ "version": "27.1.11",
+ "url": "https://download.nextcloud.com/server/releases/nextcloud-27.1.11.tar.bz2",
+ "ascUrl": "https://download.nextcloud.com/server/releases/nextcloud-27.1.11.tar.bz2.asc",
"variants": {
"apache": {
"variant": "apache",